'''
实验名称：图像翻转
实验平台：核桃派1B
'''

import cv2

img = cv2.imread("lenna.jpg") # 读取当前目录下的图像lenna.jpg
cv2.imshow('lenna', img) #显示图像

img1 = cv2.flip(img, 0) #沿X轴翻转
cv2.imshow('X', img1) #显示图像

img2 = cv2.flip(img, 1) #沿Y轴翻转
cv2.imshow('Y', img2) #显示图像

img3 = cv2.flip(img, -1) #同时沿X和Y轴翻转
cv2.imshow('X & Y', img3) #显示图像

cv2.waitKey() #等待键盘任意按键按下
cv2.destroyAllWindows() #关闭窗口
